## Please enable JavaScript to view this site.

# MDaemon Email Server 25.5

- Zoom Window Out
- Larger Text | Smaller Text
- Hide Page Header
- Show Expanding Text
- Printable Version
- Save Permalink URL

Tuning | Scroll Prev Top Next More

This screen contains advanced options, which in most cases will not need to be adjusted, and it contains a button to open the Global Client Settings Defaults dialog, to adjust the default settings used for ActiveSync clients.

Ping/Sync Wait Folder Monitoring

Maximum timeout (1200-7200 seconds)

This is the maximum amount of time that MDaemon ActiveSync Service (MDAS) will wait while monitoring a folder before returning a response to the client. The default value is 2700 seconds (i.e. 45 minutes).

Minimum timeout (120-480 seconds)

This is the minimum amount of time that MDAS will wait while monitoring a folder before returning a response to the client. The default value is 120 seconds. If necessary you can reduce the number of connections that are made to the server by raising this value, since it would cause the client to connect less often due to the wait time involved being longer.

Folder monitor interval (30-120 seconds)

This is the number of seconds that the ActiveSync service will wait between folder monitoring occurrences. This is set to 30 seconds by default.

Maximum # of folders

This is the maximum number of folders that each ActiveSync client is allowed to monitor for changes. The default is 2048.

Memory Usage

Maximum items per Sync

This is the maximum number of items that the ActiveSync service will return to the client in response to a Sync request. Using a lower value in this option can reduce memory usage on a busy server, but it will require more connections and bandwidth. It can also decrease battery life because devices may need to make more requests to get all changes during a sync. Higher values in this option increase memory usage and are more susceptible to communication errors. The default value of 100 is generally a good compromise. It is worth noting, however, that clients will specify the value that they prefer, which could effectively lower this value for some clients. If a client requests a value greater than the maximum, then the maximum will be used.

Maximum response size (MB)

This is the maximum allowable size of a response to a Sync request from a client. Prior to processing a given item for server-to-client synchronization, the current size of the response is checked and if it is greater than or equal to this value, the collection is flagged that there are more changes available, and no more item will be added to the response. This is useful with servers that regularly contain a lot of large attachments in their email.

PIM cache timeout (5-60 minutes)

Since Contacts, Documents, Events, and other PIM data is often static, getting only occasional updates from clients, MDAS caches this data to reduce disk activity. It is, however, automatically reloaded whenever the data changes on disk. This value controls how long to cache the user's data since the last time it was accessed.

Storage Usage

Auto-Archive XML/WBXML requests with errors

In the event that you have turned off the options to Archive [XML | WBXML] requests and responses on the Client Settings screen, this option will still archive problematic XML or WBXML requests. Only requests that cause errors will be archived. This option is enabled by default.

Retain archived XML/WBXML requests and responses for this [xx] days

This is the number of days that the auto-archived responses will be saved. They are kept for 3 days by default.

XML/WBXML Archive Location

Default Logs Directory

The auto-archived XML/WBXML requests and errors files will be stored in MDaemon's logs directory by default.

ActiveSync Client Directory

Choose this option if you wish to store the files in the user's ActiveSync Client Debug directory instead.

Remove inactive clients after [xx] days

This is the number of days that an ActiveSync device can go without connecting to MDAS before it will be removed. When the device is removed, its configuration and access settings are discarded. If the device ever connects again, MDaemon will respond as if it is a new device that has never been used on the server. It will be forced to reprovision if a policy is in place for the domain or account, perform an initial folder sync, and re-sync all subscribed folders. This option can help keep your server free from maintaining information for old and unused devices. The option is set to 31 days by default. When set to "0", devices will not be removed, regardless of how long they have been inactive.

Global Client Settings Defaults

Click this button to open the Global ActiveSync Client Settings dialog, for configuring the default settings to be used for ActiveSync clients.

### ActiveSync Notifications

### Sync Rollback Notifications

The ActiveSync Service can notify the administrators if a client is repeatedly/frequently sending expired Sync Keys in Sync operations.

These merely inform the admin that the server issued a rollback for a given collection because a client made a sync request with the most recently expired Sync Key. The subject states "ActiveSync Client Using expired Sync Key". This could occur because of a network issue or something about the content previously sent to the client in that collection. In some cases, the item ID will be there, it merely depends upon whether or not the previous sync on that collection sent any items.

Rollback warnings do not mean the client is out of Sync, it means that the client has the potential to go out of Sync and our internal system detected it. Rollback warnings are issued for a collection no more than once per 24 hour period. The following keys can be edited under the [System] header in the \MDaemon\Data\AirSync.ini file:

•[System] SendRollbackNotifications=[0|1|Yes|No|True|False] (Default is disabled)

•[System] RollbackNotificationThreshhold=[1-254] : The number of rollbacks that must occur on a given collection prior to a notification being sent to the admin. We recommend a value of at least 5 here, since Network hiccups play a part in this. (Default is 10)

•[System] RollbackNotificationCCUser=[0|1|Yes|No|True|False] : Whether or not to CC the user whose client sent that expired Sync Key. (Default is disabled)

### ActiveSync Corrupt Message Notifications

The ActiveSync Service can notify the administrators if a particular message cannot be processed. These are sent in real time to inform the admin of a mail item that could not be parsed and that further action on this item is not possible. The subject states "Corrupt message notification". These items, in previous versions, could lead to a crash. In most cases, the content of the msg file will not be MIME data. If it is MIME data, it is likely corrupt. You can choose to CC the affected user of these notifications with the CMNCCUser key so that they are aware that an email has arrived in their mailbox that is un-readable. The appropriate action for these is to move the designated msg file from the user's mailbox and analyze it to determine both why it is not able to be parsed and how it came to exist in the state that it is in. The following keys can be edited under the [System] header in the \MDaemon\Data\AirSync.ini file:

•[System] SendCorruptMessageNotifications=[Yes|No|1|0|True|False] (Default is Enabled)

•[System] CMNCCUser==[0|1|Yes|No|True|False] (Default is Enabled)

See:

ActiveSync » Diagnostics

MDaemon v25.5.0 - October 2025. Copyright © 1996-2025. All rights reserved. MDaemon Technologies